petsc-3.7.7 2017-09-25
Report Typos and Errors

# PETSC_VIEWER_SAWS_

Creates an SAWs PetscViewer shared by all processors in a communicator.

### Synopsis

    PetscViewer PETSC_VIEWER_SAWS_(MPI_Comm comm)

Collective on MPI_Comm

### Input Parameters

comm -the MPI communicator to share the PetscViewer

### Notes

Unlike almost all other PETSc routines, PETSC_VIEWER_SAWS_() does not return an error code. The resulting PetscViewer is usually used in the form

          XXXView(XXX object,PETSC_VIEWER_SAWS_(comm));

### See Also

PETSC_VIEWER_SAWS_WORLD, PETSC_VIEWER_SAWS_SELF

Level:developer
Location:src/sys/classes/viewer/impls/ams/ams.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages